  
RoundTripTimeStatistics = (function () {
  var cls = function RoundTripTimeStatistics() {
      this.variance = new Number();
      this.max = new Number();
      this.min = new Number();
      this.sum = new Number();
    };
  return cls;
}) ();
exports.RoundTripTimeStatistics = RoundTripTimeStatistics;


  
BandwidthStatistics = (function () {
  var cls = function BandwidthStatistics() {
      this.outboundBitsPerSecond = new Number();
      this.inboundBitsPerSecond = new Number();
      this.outboundBitsPerSecondInstability = new Number();
      this.inboundBitsPerSecondInstability = new Number();
      this.outboundBandwidthPeaked = new Boolean();
      this.inboundBandwidthPeaked = new Boolean();
    };
  return cls;
}) ();
exports.BandwidthStatistics = BandwidthStatistics;


_ControlChannelTriggerStatus = function () {
  this.hardwareSlotRequested = 0;
  this.softwareSlotAllocated = 1;
  this.hardwareSlotAllocated = 2;
  this.policyError = 3;
  this.systemError = 4;
  this.transportDisconnected = 5;
  this.serviceUnavailable = 6;
}
exports.ControlChannelTriggerStatus = new _ControlChannelTriggerStatus();

_ControlChannelTriggerResourceType = function () {
  this.requestSoftwareSlot = 0;
  this.requestHardwareSlot = 1;
}
exports.ControlChannelTriggerResourceType = new _ControlChannelTriggerResourceType();

_ControlChannelTriggerResetReason = function () {
  this.fastUserSwitched = 0;
  this.lowPowerExit = 1;
  this.quietHoursExit = 2;
  this.applicationRestart = 3;
}
exports.ControlChannelTriggerResetReason = new _ControlChannelTriggerResetReason();

_SocketMessageType = function () {
  this.binary = 0;
  this.utf8 = 1;
}
exports.SocketMessageType = new _SocketMessageType();

_SocketProtectionLevel = function () {
  this.plainSocket = 0;
  this.ssl = 1;
  this.sslAllowNullEncryption = 2;
  this.bluetoothEncryptionAllowNullAuthentication = 3;
  this.bluetoothEncryptionWithAuthentication = 4;
  this.ssl3AllowWeakEncryption = 5;
  this.tls10 = 6;
  this.tls11 = 7;
  this.tls12 = 8;
}
exports.SocketProtectionLevel = new _SocketProtectionLevel();

_SocketQualityOfService = function () {
  this.normal = 0;
  this.lowLatency = 1;
}
exports.SocketQualityOfService = new _SocketQualityOfService();

_SocketErrorStatus = function () {
  this.unknown = 0;
  this.operationAborted = 1;
  this.httpInvalidServerResponse = 2;
  this.connectionTimedOut = 3;
  this.addressFamilyNotSupported = 4;
  this.socketTypeNotSupported = 5;
  this.hostNotFound = 6;
  this.noDataRecordOfRequestedType = 7;
  this.nonAuthoritativeHostNotFound = 8;
  this.classTypeNotFound = 9;
  this.addressAlreadyInUse = 10;
  this.cannotAssignRequestedAddress = 11;
  this.connectionRefused = 12;
  this.networkIsUnreachable = 13;
  this.unreachableHost = 14;
  this.networkIsDown = 15;
  this.networkDroppedConnectionOnReset = 16;
  this.softwareCausedConnectionAbort = 17;
  this.connectionResetByPeer = 18;
  this.hostIsDown = 19;
  this.noAddressesFound = 20;
  this.tooManyOpenFiles = 21;
  this.messageTooLong = 22;
  this.certificateExpired = 23;
  this.certificateUntrustedRoot = 24;
  this.certificateCommonNameIsIncorrect = 25;
  this.certificateWrongUsage = 26;
  this.certificateRevoked = 27;
  this.certificateNoRevocationCheck = 28;
  this.certificateRevocationServerOffline = 29;
  this.certificateIsInvalid = 30;
}
exports.SocketErrorStatus = new _SocketErrorStatus();

_SocketSslErrorSeverity = function () {
  this.none = 0;
  this.ignorable = 1;
  this.fatal = 2;
}
exports.SocketSslErrorSeverity = new _SocketSslErrorSeverity();

ControlChannelTrigger = (function () {
  var cls = function ControlChannelTrigger() {
    this.serverKeepAliveIntervalInMinutes = new Number();
    this.controlChannelTriggerId = new String();
    this.currentKeepAliveIntervalInMinutes = new Number();
    this.keepAliveTrigger = new Object();
    this.pushNotificationTrigger = new Object();
    this.transportObject = new Object();
  };
  
var cls = function ControlChannelTrigger(channelId, serverKeepAliveIntervalInMinutes) {
      this.serverKeepAliveIntervalInMinutes = new Number();
      this.controlChannelTriggerId = new String();
      this.currentKeepAliveIntervalInMinutes = new Number();
      this.keepAliveTrigger = new Object();
      this.pushNotificationTrigger = new Object();
      this.transportObject = new Object();
};

var cls = function ControlChannelTrigger(channelId, serverKeepAliveIntervalInMinutes, resourceRequestType) {
      this.serverKeepAliveIntervalInMinutes = new Number();
      this.controlChannelTriggerId = new String();
      this.currentKeepAliveIntervalInMinutes = new Number();
      this.keepAliveTrigger = new Object();
      this.pushNotificationTrigger = new Object();
      this.transportObject = new Object();
};


  cls.prototype.usingTransport = function usingTransport(transport) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="transport" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.waitForPushEnabled = function waitForPushEnabled() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ControlChannelTriggerStatus" />
    /// </signature>
    return new ControlChannelTriggerStatus();
  }


  cls.prototype.decreaseNetworkKeepAliveInterval = function decreaseNetworkKeepAliveInterval() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.flushTransport = function flushTransport() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


  return cls;
}) ();
exports.ControlChannelTrigger = ControlChannelTrigger;

IControlChannelTriggerEventDetails = (function () {
  var cls = function IControlChannelTriggerEventDetails() {
    this.controlChannelTrigger = new ControlChannelTrigger();
  };
  

  return cls;
}) ();
exports.IControlChannelTriggerEventDetails = IControlChannelTriggerEventDetails;

IControlChannelTriggerResetEventDetails = (function () {
  var cls = function IControlChannelTriggerResetEventDetails() {
    this.hardwareSlotReset = new Boolean();
    this.resetReason = new ControlChannelTriggerResetReason();
    this.softwareSlotReset = new Boolean();
  };
  

  return cls;
}) ();
exports.IControlChannelTriggerResetEventDetails = IControlChannelTriggerResetEventDetails;

DatagramSocketControl = (function () {
  var cls = function DatagramSocketControl() {
    this.inboundBufferSizeInBytes = new Number();
    this.dontFragment = new Boolean();
    this.qualityOfService = new SocketQualityOfService();
    this.outboundUnicastHopLimit = new Number();
  };
  

  return cls;
}) ();
exports.DatagramSocketControl = DatagramSocketControl;

DatagramSocketInformation = (function () {
  var cls = function DatagramSocketInformation() {
    this.localAddress = new Object();
    this.localPort = new String();
    this.remoteAddress = new Object();
    this.remotePort = new String();
  };
  

  return cls;
}) ();
exports.DatagramSocketInformation = DatagramSocketInformation;

DatagramSocket = (function () {
  var cls = function DatagramSocket() {
    this.control = new DatagramSocketControl();
    this.information = new DatagramSocketInformation();
    this.outputStream = new Object();
  };
  

  cls.prototype.connectAsync = function connectAsync(remoteHostName, remoteServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.connectAsync = function connectAsync(endpointPair, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="endpointPair" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.bindServiceNameAsync = function bindServiceNameAsync(localServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localServiceName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.bindServiceNameAsync = function bindServiceNameAsync(localServiceName, adapter, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localServiceName" type="String">A param.</param>
    /// <param name="adapter" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.bindEndpointAsync = function bindEndpointAsync(localHostName, localServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localHostName" type="Object">A param.</param>
    /// <param name="localServiceName" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.getOutputStreamAsync = function getOutputStreamAsync(remoteHostName, remoteServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.getOutputStreamAsync = function getOutputStreamAsync(endpointPair, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="endpointPair" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.joinMulticastGroup = function joinMulticastGroup(host) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="host" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


  cls.getEndpointPairsAsync = function getEndpointPairsAsync(remoteHostName, remoteServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// </signature>
  }

cls.getEndpointPairsAsync = function getEndpointPairsAsync(remoteHostName, remoteServiceName, sortOptions, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// <param name="sortOptions" type="Number">A param.</param>
    /// </signature>
  }



    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.DatagramSocket = DatagramSocket;

DatagramSocketMessageReceivedEventArgs = (function () {
  var cls = function DatagramSocketMessageReceivedEventArgs() {
    this.localAddress = new Object();
    this.remoteAddress = new Object();
    this.remotePort = new String();
  };
  

  cls.prototype.getDataReader = function getDataReader() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getDataStream = function getDataStream() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.DatagramSocketMessageReceivedEventArgs = DatagramSocketMessageReceivedEventArgs;

StreamSocketControl = (function () {
  var cls = function StreamSocketControl() {
    this.qualityOfService = new SocketQualityOfService();
    this.outboundUnicastHopLimit = new Number();
    this.outboundBufferSizeInBytes = new Number();
    this.noDelay = new Boolean();
    this.keepAlive = new Boolean();
    this.ignorableServerCertificateErrors = new Object();
  };
  

  return cls;
}) ();
exports.StreamSocketControl = StreamSocketControl;

StreamSocketInformation = (function () {
  var cls = function StreamSocketInformation() {
    this.bandwidthStatistics = new BandwidthStatistics();
    this.localAddress = new Object();
    this.localPort = new String();
    this.protectionLevel = new SocketProtectionLevel();
    this.remoteAddress = new Object();
    this.remoteHostName = new Object();
    this.remotePort = new String();
    this.remoteServiceName = new String();
    this.roundTripTimeStatistics = new RoundTripTimeStatistics();
    this.sessionKey = new Object();
    this.serverCertificate = new Object();
    this.serverCertificateErrorSeverity = new SocketSslErrorSeverity();
    this.serverCertificateErrors = new Object();
    this.serverIntermediateCertificates = new Object();
  };
  

  return cls;
}) ();
exports.StreamSocketInformation = StreamSocketInformation;

StreamSocket = (function () {
  var cls = function StreamSocket() {
    this.control = new StreamSocketControl();
    this.information = new StreamSocketInformation();
    this.inputStream = new Object();
    this.outputStream = new Object();
  };
  

  cls.prototype.connectAsync = function connectAsync(endpointPair, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="endpointPair" type="Object">A param.</param>
    /// </signature>
  }

cls.prototype.connectAsync = function connectAsync(remoteHostName, remoteServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.connectAsync = function connectAsync(endpointPair, protectionLevel, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="endpointPair" type="Object">A param.</param>
    /// <param name="protectionLevel" type="SocketProtectionLevel">A param.</param>
    /// </signature>
  }

cls.prototype.connectAsync = function connectAsync(remoteHostName, remoteServiceName, protectionLevel, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// <param name="protectionLevel" type="SocketProtectionLevel">A param.</param>
    /// </signature>
  }

cls.prototype.connectAsync = function connectAsync(remoteHostName, remoteServiceName, protectionLevel, adapter, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="remoteHostName" type="Object">A param.</param>
    /// <param name="remoteServiceName" type="String">A param.</param>
    /// <param name="protectionLevel" type="SocketProtectionLevel">A param.</param>
    /// <param name="adapter" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.upgradeToSslAsync = function upgradeToSslAsync(protectionLevel, validationHostName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="protectionLevel" type="SocketProtectionLevel">A param.</param>
    /// <param name="validationHostName" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


  return cls;
}) ();
exports.StreamSocket = StreamSocket;

StreamSocketListenerControl = (function () {
  var cls = function StreamSocketListenerControl() {
    this.qualityOfService = new SocketQualityOfService();
  };
  

  return cls;
}) ();
exports.StreamSocketListenerControl = StreamSocketListenerControl;

StreamSocketListenerInformation = (function () {
  var cls = function StreamSocketListenerInformation() {
    this.localPort = new String();
  };
  

  return cls;
}) ();
exports.StreamSocketListenerInformation = StreamSocketListenerInformation;

StreamSocketListener = (function () {
  var cls = function StreamSocketListener() {
    this.control = new StreamSocketListenerControl();
    this.information = new StreamSocketListenerInformation();
  };
  

  cls.prototype.bindServiceNameAsync = function bindServiceNameAsync(localServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localServiceName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.bindServiceNameAsync = function bindServiceNameAsync(localServiceName, protectionLevel, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localServiceName" type="String">A param.</param>
    /// <param name="protectionLevel" type="SocketProtectionLevel">A param.</param>
    /// </signature>
  }

cls.prototype.bindServiceNameAsync = function bindServiceNameAsync(localServiceName, protectionLevel, adapter, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localServiceName" type="String">A param.</param>
    /// <param name="protectionLevel" type="SocketProtectionLevel">A param.</param>
    /// <param name="adapter" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.bindEndpointAsync = function bindEndpointAsync(localHostName, localServiceName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="localHostName" type="Object">A param.</param>
    /// <param name="localServiceName" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.StreamSocketListener = StreamSocketListener;

StreamSocketListenerConnectionReceivedEventArgs = (function () {
  var cls = function StreamSocketListenerConnectionReceivedEventArgs() {
    this.socket = new StreamSocket();
  };
  

  return cls;
}) ();
exports.StreamSocketListenerConnectionReceivedEventArgs = StreamSocketListenerConnectionReceivedEventArgs;

IWebSocketControl = (function () {
  var cls = function IWebSocketControl() {
    this.outboundBufferSizeInBytes = new Number();
    this.proxyCredential = new Object();
    this.serverCredential = new Object();
    this.supportedProtocols = new Object();
  };
  

  return cls;
}) ();
exports.IWebSocketControl = IWebSocketControl;

IWebSocketInformation = (function () {
  var cls = function IWebSocketInformation() {
    this.bandwidthStatistics = new BandwidthStatistics();
    this.localAddress = new Object();
    this.protocol = new String();
  };
  

  return cls;
}) ();
exports.IWebSocketInformation = IWebSocketInformation;

IWebSocket = (function () {
  var cls = function IWebSocket() {
    this.outputStream = new Object();
  };
  

  cls.prototype.connectAsync = function connectAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.setRequestHeader = function setRequestHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.IWebSocket = IWebSocket;

WebSocketClosedEventArgs = (function () {
  var cls = function WebSocketClosedEventArgs() {
    this.code = new Number();
    this.reason = new String();
  };
  

  return cls;
}) ();
exports.WebSocketClosedEventArgs = WebSocketClosedEventArgs;

MessageWebSocketControl = (function () {
  var cls = function MessageWebSocketControl() {
    this.messageType = new SocketMessageType();
    this.maxMessageSize = new Number();
    this.serverCredential = new Object();
    this.proxyCredential = new Object();
    this.outboundBufferSizeInBytes = new Number();
    this.supportedProtocols = new Object();
  };
  

  return cls;
}) ();
exports.MessageWebSocketControl = MessageWebSocketControl;

MessageWebSocketInformation = (function () {
  var cls = function MessageWebSocketInformation() {
    this.bandwidthStatistics = new BandwidthStatistics();
    this.localAddress = new Object();
    this.protocol = new String();
  };
  

  return cls;
}) ();
exports.MessageWebSocketInformation = MessageWebSocketInformation;

MessageWebSocket = (function () {
  var cls = function MessageWebSocket() {
    this.control = new MessageWebSocketControl();
    this.information = new MessageWebSocketInformation();
    this.outputStream = new Object();
  };
  

  cls.prototype.connectAsync = function connectAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.setRequestHeader = function setRequestHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.MessageWebSocket = MessageWebSocket;

MessageWebSocketMessageReceivedEventArgs = (function () {
  var cls = function MessageWebSocketMessageReceivedEventArgs() {
    this.messageType = new SocketMessageType();
  };
  

  cls.prototype.getDataReader = function getDataReader() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getDataStream = function getDataStream() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.MessageWebSocketMessageReceivedEventArgs = MessageWebSocketMessageReceivedEventArgs;

StreamWebSocketControl = (function () {
  var cls = function StreamWebSocketControl() {
    this.noDelay = new Boolean();
    this.serverCredential = new Object();
    this.proxyCredential = new Object();
    this.outboundBufferSizeInBytes = new Number();
    this.supportedProtocols = new Object();
  };
  

  return cls;
}) ();
exports.StreamWebSocketControl = StreamWebSocketControl;

StreamWebSocketInformation = (function () {
  var cls = function StreamWebSocketInformation() {
    this.bandwidthStatistics = new BandwidthStatistics();
    this.localAddress = new Object();
    this.protocol = new String();
  };
  

  return cls;
}) ();
exports.StreamWebSocketInformation = StreamWebSocketInformation;

StreamWebSocket = (function () {
  var cls = function StreamWebSocket() {
    this.control = new StreamWebSocketControl();
    this.information = new StreamWebSocketInformation();
    this.inputStream = new Object();
    this.outputStream = new Object();
  };
  

  cls.prototype.connectAsync = function connectAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.setRequestHeader = function setRequestHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.StreamWebSocket = StreamWebSocket;

WebSocketKeepAlive = (function () {
  var cls = function WebSocketKeepAlive() {
  };
  

  cls.prototype.run = function run(taskInstance) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="taskInstance" type="Object">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.WebSocketKeepAlive = WebSocketKeepAlive;

SocketError = (function () {
  var cls = function SocketError() {
  };
  

  cls.getStatus = function getStatus(hresult) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="hresult" type="Number">A param.</param>
    /// <returns type="SocketErrorStatus" />
    /// </signature>
    return new SocketErrorStatus();
  }


  return cls;
}) ();
exports.SocketError = SocketError;

WebSocketError = (function () {
  var cls = function WebSocketError() {
  };
  

  cls.getStatus = function getStatus(hresult) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="hresult" type="Number">A param.</param>
    /// <returns type="Number" />
    /// </signature>
    return new Number();
  }


  return cls;
}) ();
exports.WebSocketError = WebSocketError;

